aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-06-06 11:09:24 +0100
committerMiroslav Miklus <mmiklus@cisco.com>2016-06-18 10:02:26 +0000
commitfc5f239ab548898d82c55b0ceaae3dde3be98318 (patch)
treea7adf714c2b942eb40b426ce53faa16383742cf1 /bootstrap-verify-perf.sh
parenta4eb9283c92fcd80aaf7cf5866d4fbd20c957b65 (diff)
Process output of robot to XML file for Plot plugin
- JIRA: CSIT-135 - Process output of robot output.xml to XML file for Plot plugin Change-Id: I5e077d81f4c93f66eb208ecc2a38a9f6ca2fe307 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 925e3a6b98..8bf7f796a2 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -28,7 +28,7 @@ INSTALLATION_DIR="/tmp/install_dir"
PYBOT_ARGS="--noncritical MULTI_THREAD"
-ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.json)
+ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
# If we run this script from CSIT jobs we want to use stable vpp version
if [[ ${JOB_NAME} == csit-* ]] ;
@@ -167,6 +167,7 @@ case "$TEST_TAG" in
-L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "performance.Long_Xconnect_Dot1q*" \
+ RETURN_STATUS=$(echo $?)
;;
PERFTEST_NDR )
pybot ${PYBOT_ARGS} \
@@ -174,6 +175,7 @@ case "$TEST_TAG" in
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s performance -i NDR \
tests/
+ RETURN_STATUS=$(echo $?)
;;
PERFTEST_PDR )
pybot ${PYBOT_ARGS} \
@@ -198,7 +200,7 @@ echo Post-processing test data...
python ${CUR_DIR}/resources/tools/robot_output_parser.py \
-i ${CUR_DIR}/output.xml \
- -o ${CUR_DIR}/output_perf_data.json \
+ -o ${CUR_DIR}/output_perf_data.xml \
-v ${VPP_STABLE_VER}
if [ ! $? -eq 0 ]; then
echo "Parsing ${CUR_DIR}/output.xml failed"